Skip to content
GitLab
Menu
Projects
Groups
Snippets
Loading...
Help
Help
Support
Community forum
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
Menu
Open sidebar
OpenDAS
vllm_cscc
Commits
675d6034
Unverified
Commit
675d6034
authored
Nov 14, 2024
by
Cyrus Leung
Committed by
GitHub
Nov 14, 2024
Browse files
[CI/Build] Make shellcheck happy (#10285)
Signed-off-by:
DarkLight1337
<
tlleungac@connect.ust.hk
>
parent
03025c02
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
8 additions
and
7 deletions
+8
-7
.buildkite/run-cpu-test.sh
.buildkite/run-cpu-test.sh
+6
-6
tools/shellcheck.sh
tools/shellcheck.sh
+2
-1
No files found.
.buildkite/run-cpu-test.sh
View file @
675d6034
...
@@ -9,8 +9,8 @@ CORE_RANGE=${CORE_RANGE:-48-95}
...
@@ -9,8 +9,8 @@ CORE_RANGE=${CORE_RANGE:-48-95}
NUMA_NODE
=
${
NUMA_NODE
:-
1
}
NUMA_NODE
=
${
NUMA_NODE
:-
1
}
# Try building the docker image
# Try building the docker image
numactl
-C
$CORE_RANGE
-N
$NUMA_NODE
docker build
-t
cpu-test
-f
Dockerfile.cpu
.
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
-t
cpu-test
-f
Dockerfile.cpu
.
numactl
-C
$CORE_RANGE
-N
$NUMA_NODE
docker build
--build-arg
VLLM_CPU_DISABLE_AVX512
=
"true"
-t
cpu-test-avx2
-f
Dockerfile.cpu
.
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
--build-arg
VLLM_CPU_DISABLE_AVX512
=
"true"
-t
cpu-test-avx2
-f
Dockerfile.cpu
.
# Setup cleanup
# Setup cleanup
remove_docker_container
()
{
docker
rm
-f
cpu-test cpu-test-avx2
||
true
;
}
remove_docker_container
()
{
docker
rm
-f
cpu-test cpu-test-avx2
||
true
;
}
...
@@ -18,10 +18,10 @@ trap remove_docker_container EXIT
...
@@ -18,10 +18,10 @@ trap remove_docker_container EXIT
remove_docker_container
remove_docker_container
# Run the image, setting --shm-size=4g for tensor parallel.
# Run the image, setting --shm-size=4g for tensor parallel.
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
$CORE_RANGE
\
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
"
$CORE_RANGE
"
\
--cpuset-mems
=
$NUMA_NODE
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test cpu-test
--cpuset-mems
=
"
$NUMA_NODE
"
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test cpu-test
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
$CORE_RANGE
\
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
"
$CORE_RANGE
"
\
--cpuset-mems
=
$NUMA_NODE
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test-avx2 cpu-test-avx2
--cpuset-mems
=
"
$NUMA_NODE
"
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test-avx2 cpu-test-avx2
function
cpu_tests
()
{
function
cpu_tests
()
{
set
-e
set
-e
...
...
tools/shellcheck.sh
View file @
675d6034
#!/bin/bash
#!/bin/bash
set
-e
scversion
=
"stable"
scversion
=
"stable"
...
@@ -18,4 +19,4 @@ if ! [ -x "$(command -v shellcheck)" ]; then
...
@@ -18,4 +19,4 @@ if ! [ -x "$(command -v shellcheck)" ]; then
fi
fi
# TODO - fix warnings in .buildkite/run-amd-test.sh
# TODO - fix warnings in .buildkite/run-amd-test.sh
find
.
-name
"*.sh"
-not
-path
"./.buildkite/run-amd-test.sh"
-
exec
sh
-c
'git check-ignore -q
$1
|| shellcheck
$1'
_
{}
\;
find
.
-name
"*.sh"
-not
-path
"./.buildkite/run-amd-test.sh"
-
print0
| xargs
-0
-I
{}
sh
-c
'git check-ignore -q
"{}"
|| shellcheck
"{}"'
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
.
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment